import { iUserMsg } from './types'

const USER_MSG = 'USER_MSG'

export function setUserMsg(msg: iUserMsg) {
  localStorage.setItem(USER_MSG, JSON.stringify(msg))
}

export function setUserPhone(msg: iUserMsg) {
  localStorage.setItem(USER_MSG, JSON.stringify(msg))
}

export function getUserMsg(): iUserMsg | undefined {
  const value = localStorage.getItem(USER_MSG)
  return (value && JSON.parse(value)) || undefined
}

export function deleteUserMsg() {
  localStorage.removeItem(USER_MSG)
}
